%define o2emver 118
%define distsuffix plf
%define release %mkrel 1

Summary: An Odyssey2/Philips Videopac video game emulator
Name: o2em
Version: %{o2emver}
Release: %{release}
Group: Emulators
License: Artistic
URL: http://o2em.sourceforge.net/
Source0: http://prdownloads.sourceforge.net/o2em/o2em%{o2emver}src.zip
Source1: o2mainsamp.zip
Source2: sidsamp.zip
Patch0: %{name}-118-missing-include.patch
BuildRoot: %_tmppath/%name-%version-%release-root
BuildRequires: allegro-devel >= 4.2.0
BuildRequires: unzip

%description
O2EM is a freeware open source multi-platform Odyssey2 / Videopac+ emulator. 
The Odyssey2 (Videopac/Jopac in Europe) was a video game console created in 
the late 70s.

This package is in PLF because of Mandriva Linux policy forbidding
emulation softwares.

%prep
%setup -q -c -T
unzip -L %SOURCE0
unzip %SOURCE1
unzip %SOURCE2
%patch0 -p0

%build
cd %{name}%{o2emver}src/src
perl -pi -e 's,/usr/lib/liballeg.so.4.2,/usr/%_lib/liballeg.so.4.2,' makefile.linux
perl -pi -e 's,\r\n,\n,g' ../docs/*.txt
make -f makefile.linux CFLAGS="%optflags"

%install
rm -fr %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}/usr/share/%{name}-%{version}/
install -p --backup=numbered *.WAV %{buildroot}/%{_datadir}/%{name}-%{version}/
install -p --backup=numbered %{name}%{o2emver}src/src/o2em %{buildroot}%{_bindir}

cat >README.urpmi <<EOF
You will need bios files ("o2rom.bin" and maybe others) before playing 
any game.
To get voice, \`ln -s /usr/share/o2em-%{version} voice' in the
directory you are running o2em from and have the games in.
Bioses and roms should go in "bios" and "roms" subdirs respectively
Notice the lower caps.
For instance, if you pulseaudio, run :
padsp o2em rom.bin (without "roms/")
EOF

%clean
rm -fr %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc %{name}%{o2emver}src/docs/*.txt README.urpmi
%attr(0755,root,root) %_bindir/*
%dir %{_datadir}/%{name}-%{version}
%{_datadir}/%{name}-%{version}/*

%changelog
* Fri Feb  8 2008 Guillaume Bedot <littletux@zarb.org> 118-1plf2008.1
- 118, build fixes

* Fri May 05 2006 Olivier Thauvin <nanardon@zarb.org> 117-5plf
- add plf reason
- use a READMI.urpmi
- cleanup to use real mkrel
- fix build for all lib64

* Fri Sep 23 2005 Guillaume Bedot <littletux@zarb.org> 117-4plf
- rebuild with allegro-4.2 >= 4.2.0 for LE2005 too

* Tue Sep 20 2005 trem <trem@zarb.org> 117-3plf
- Fix BuildRequire
- Fix perl script for x86_64 

* Mon Sep 19 2005 Guillaume Bedot <littletux@zarb.org> 117-2plf
- Fixed / more complete post explanation

* Mon Sep 19 2005 Guillaume Bedot <littletux@zarb.org> 117-1plf
- new version o2em 117
- build with allegro 4.2
- fixed URL and other paths
- use mkrel

* Fri Feb 11 2005 Sylvie Terjan <erinmargault@zarb.org> 116-1plf
- new version o2em 116

* Fri Jul 11 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0-2plf
- O2EM 0.1, partial update
- DIRM %%{_datadir}/%%{name}-%%{version}
- unzip in %%prep
- macroize

* Thu Oct 24 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0-1plf 
- by Rob Kudla <rpm@kudla.org>
	- first attempt at package
	- hey, is that a nasty kludge to avoid repacking the zip file or what?!
- %%_datadir unless /usr/share
